-- File: archive\db\sql\save\twh_alertstate.sql
-- SID: 1.3
-- Date Modified: 02/01/30 15:14:18
--
-- Module Description
--   Defines the twh_alertstate table and populates it

USE Object
GO

IF NOT EXISTS (SELECT * FROM sysobjects WHERE name='twh_alertstate' AND type='U')
BEGIN
  PRINT 'Creating table twh_alertstate'
  CREATE TABLE twh_alertstate
  (
	  id      ObjID,
	  name    ObjName
  )
  ALTER TABLE twh_alertstate ADD CONSTRAINT twh_alertstate_PK PRIMARY KEY (id)
END
GO

IF NOT EXISTS (SELECT * FROM twh_alertstate WHERE id = 0)
  INSERT INTO twh_alertstate VALUES (0, 'LOB_state_unknown')

IF NOT EXISTS (SELECT * FROM twh_alertstate WHERE id = 1)
  INSERT INTO twh_alertstate VALUES (1, 'LOB_state_green')

IF NOT EXISTS (SELECT * FROM twh_alertstate WHERE id = 2)
  INSERT INTO twh_alertstate VALUES (2, 'LOB_state_yellow')

IF NOT EXISTS (SELECT * FROM twh_alertstate WHERE id = 3)
  INSERT INTO twh_alertstate VALUES (3, 'LOB_state_red')
GO
