-- File: archive\db\sql\save\twh_date.sql
-- SID: 1.4
-- Date Modified: 02/08/23 13:55:23
--
-- Module Description
--   Defines the twh_date table

USE Object
GO

IF NOT EXISTS (SELECT * FROM sysobjects WHERE name='twh_date' AND type='U')
BEGIN
  PRINT 'Creating table twh_date'
  CREATE TABLE twh_date
  (
    loadtype        NVARCHAR(50),
    lastenddate     DATETIME,
    prevlastenddate DATETIME NULL,
    status          INT
  )
END
GO

EXEC sp_dbcmptlevel Object, 70
GO
  ALTER TABLE twh_date ALTER COLUMN loadtype NVARCHAR(50)
GO
  EXEC sp_dbcmptlevel Object, 65
GO

sp_help twh_date