-- File: archive\db\sql\save\twh_lob.sql
-- SID: 1.4
-- Date Modified: 02/08/23 14:02:16
--
-- Module Description
--   Defines the twh_lob table

USE Object
GO

IF NOT EXISTS(SELECT * FROM sysobjects WHERE name='twh_lob' AND type='U')
BEGIN
  PRINT 'Creating table twh_lob'
	CREATE TABLE twh_lob
  (
		id                  ObjID,
		linkedid            ObjID NULL,
		name                ObjName,
		oldname             ObjName NULL,
		description         NVARCHAR(254) NULL,
		deldate             DATETIME NULL,
		lastalertstate      ObjID NULL,
		prevlastalertstate  ObjID NULL,
		status              INT
	)
  ALTER TABLE twh_lob ADD CONSTRAINT twh_lob_PK PRIMARY KEY (id)
END
GO

EXEC sp_dbcmptlevel Object, 70
GO
  ALTER TABLE twh_lob ALTER COLUMN description NVARCHAR(254)
GO
  EXEC sp_dbcmptlevel Object, 65
GO