-- File: archive\db\sql\save\twh_prune_msmt_control.sql
-- SID: 1.4
-- Date Modified: 02/08/14 11:09:31
--
-- Module Description
--   Defines the twh_prune_msmt_control table

USE Object
GO

IF NOT EXISTS (SELECT * FROM sysobjects WHERE name='twh_prune_msmt_control' AND type='U')
BEGIN
  PRINT 'Creating table twh_prune_msmt_control'
  CREATE TABLE twh_prune_msmt_control
  (
	  tmsum_cd            CHAR(1),
	  pmsmtc_age_in_days  DECIMAL(8,0)
  )
END
GO

EXEC sp_dbcmptlevel Object, 70
GO
  ALTER TABLE twh_prune_msmt_control ALTER COLUMN tmsum_cd CHAR(1)
GO
  EXEC sp_dbcmptlevel Object, 65
GO
